Skip to main content
GET
/
memberships
/
cp
/
api
/
loyalty-integration
/
earn-options
Get loyalty point earn options
curl --request GET \
  --url https://www.myshop.com/apps/memberships/cp/api/loyalty-integration/earn-options
[
  {
    "id": 123,
    "type": "<string>",
    "name": "<string>",
    "createAt": "2023-11-07T05:31:56Z",
    "updateAt": "2023-11-07T05:31:56Z",
    "details": "<string>",
    "reward_text": "<string>",
    "productData": "<string>",
    "basePoints": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://appstleinc-aeca3e0a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

customerEmail
string

Response

200 - */*

OK

id
integer<int64>
type
string
name
string
createAt
string<date-time>
updateAt
string<date-time>
details
string
reward_text
string
productData
string
basePoints
integer<int32>